=== debian/changelog ===
ros-kinetic-robotis-math (0.2.6-0xenial) xenial; urgency=high

  * modified the eigen path to avoid path error on Debian OS
  * Contributors: Pyo

 -- Pyo <pyo@robotis.com>  Tue, 20 Mar 2018 15:00:00 -0000

ros-kinetic-robotis-math (0.2.5-0xenial) xenial; urgency=high

  * added preview_control
  * added minimum jerk with viapoint
  * changed package.xml format to v2
  * changed LICENSE to Apache 2.0
  * Contributors: Kayman, SCH, Pyo

 -- Pyo <pyo@robotis.com>  Tue, 20 Mar 2018 15:00:00 -0000

ros-kinetic-robotis-math (0.2.4-0xenial) xenial; urgency=high

  * refactoring to release
  * Contributors: Pyo

 -- Pyo <pyo@robotis.com>  Tue, 20 Mar 2018 15:00:00 -0000

ros-kinetic-robotis-math (0.2.3-0xenial) xenial; urgency=high

  * changed matrices to fixed size matrix
  * changed dynamic size mat to fixed size mat for performence
  * Contributors: Jay Song

 -- pyo <pyo@robotis.com>  Sun, 23 Apr 2017 15:00:00 -0000

ros-kinetic-robotis-math (0.2.2-0xenial) xenial; urgency=high

  * included eigen3 option
  * Contributors: SCH

 -- pyo <pyo@robotis.com>  Wed, 28 Sep 2016 15:00:00 -0000

ros-kinetic-robotis-math (0.2.1-0xenial) xenial; urgency=high

  * bug fix and changed some variable name
  * Modify StepData
  * Contributors: Jay Song

 -- pyo <pyo@robotis.com>  Thu, 01 Sep 2016 15:00:00 -0000

ros-kinetic-robotis-math (0.2.0-0xenial) xenial; urgency=high

  * merged pull request #4 <https://github.com/ROBOTIS-GIT/ROBOTIS-Math/issues/4> from thor-mang/pr_step_data_to_string
  * added string serializer for step data for more convenient debugging options
  * minimum jerk with via-points(position) added
  * added string serializer for step data for more convenient debugging options
  * eigen test
  * added trapezoidal profile
  * Contributors: Alexander Stumpf, Jay Song, SCH

 -- pyo <pyo@robotis.com>  Tue, 30 Aug 2016 15:00:00 -0000

ros-kinetic-robotis-math (0.1.0-0xenial) xenial; urgency=high

  * first public release for Kinetic
  * modified the package information files
  * Add robotis_math, robotis_math is moved from ROBOTIS-Framework repository.
  * Contributors: Jay Song, Pyo

 -- pyo <pyo@robotis.com>  Tue, 16 Aug 2016 15:00:00 -0000
