=== debian/control ===
Source: ros-kinetic-robotis-math
Section: misc
Priority: extra
Maintainer: Pyo <pyo@robotis.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-kinetic-catkin, ros-kinetic-roscpp
Homepage: http://wiki.ros.org/robotis_math
Standards-Version: 3.9.2

Package: ros-kinetic-robotis-math
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-kinetic-roscpp
Description: This package is a set of basic math fuctions for ROBOTIS's robots.
 We provide some linear algebra and trajectory generation funntions and classes.
